package com.th.demo.mapping.maint;

import com.th.demo.model.maint.Stack;

import java.util.List;

public interface StackMapper {
    int deleteByPrimaryKey(String id);

    int insert(Stack record);

    int insertSelective(Stack record);

    Stack selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(Stack record);

    int updateByPrimaryKey(Stack record);

    List<Stack> select(String query, String queryWare,String belongId);

    List<Stack> selectByWareId(String wareId, String areaid, String belongId);


    Stack selectByWareNameStackName(String wareName, String stackName, String userId, String belongId);
}